# eric4.Helpviewer.AdBlock.AdBlockPage

Module implementing a class to apply AdBlock rules to a web page.

### Global Attributes

None

### Classes

AdBlockPage | Class to apply AdBlock rules to a web page.

### Functions

None

## AdBlockPage

Class to apply AdBlock rules to a web page.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

__checkRule | Private method to check, if a rule applies to the given web page and host.
applyRulesToPage | Public method to applay AdBlock rules to a web page.

### Static Methods

None

#### AdBlockPage.__checkRule

__checkRule(rule, page, host)

Private method to check, if a rule applies to the given web page and host.

rule
  reference to the rule to check (AdBlockRule)
page
  reference to the web page (QWebPage)
host
  host name (string or QString)

#### AdBlockPage.applyRulesToPage

applyRulesToPage(page)

Public method to applay AdBlock rules to a web page.

page
  reference to the web page (QWebPage)

Up